Bug 479114 - document new qpid.exclusive-binding option for direct exchange type
document new qpid.exclusive-binding option for direct exchange type
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Alison Young
ecs-bugs
: Documentation
Depends On: 461761
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 06:01 EST by Gordon Sim
Modified: 2012-09-21 08:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-16 00:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-01-07 06:01:03 EST
There is a new option supported in the bind operation on a direct exchange allowing the bound queue for a given key to be atomically updated.

E.g. Assume there is an exchange, e, and two queues q-a and q-b, with q-a
initially bound to e by key 'k'. We now wish to change the route for messages
with that key such that they now go to q-b. If we do bind(e, 'k', q-b), then
unbind(e, 'k', q-a), its possible that a message arriving after the bind and
before the unbind will be added to both queues. If on the other hand we do the
unbind before the bind, a message arriving between these two operations may be
lost.

With the new option we can update the queue bound to e with 'k' from q-a to q-b. This is atomic w.r.t message routing so if there is a concurren stream of incoming messages during the update then each message will be in one or other of the queues. No matching message will be lost and none will appear in both queues.

For details see the section 'Exclusive binding for key' in http://cwiki.apache.org/confluence/display/qpid/Cheat+Sheet+for+configuring+Exchange+Options
Comment 1 Gordon Sim 2009-01-07 06:01:52 EST
The original feature request is captured in https://bugzilla.redhat.com/show_bug.cgi?id=461761
Comment 3 Jonathan Robie 2010-03-18 17:19:44 EDT
This is now in the Messaging User's Guide.
Comment 6 Alison Young 2011-03-16 00:53:25 EDT
(In reply to comment #3)
> This is now in the Messaging User's Guide.

Closed as fix already implemented

Note You need to log in before you can comment on or make changes to this bug.